Loading...
Searching...
No Matches
Opm::WellContainer< T > Class Template Reference

## Public Member Functions

| WellContainer (std::initializer_list< std::pair< std::string, T > > init_list)
bool | empty () const
std::size_t | size () const
T & | add (const std::string &name, T &&value)
T & | add (const std::string &name, const T &value)
bool | has (const std::string &name) const
void | copy_welldata (const WellContainer< T > &other)
void | copy_welldata (const WellContainer< T > &other, const std::string &name)
T & | operator[] (std::size_t index)
const T & | operator[] (std::size_t index) const
T & | operator[] (const std::string &name)
const T & | operator[] (const std::string &name) const
void | clear ()
std::vector< T >::const_iterator | begin () const
std::vector< T >::const_iterator | end () const
const std::vector< T > & | data () const
std::optional< int > | well_index (const std::string &wname) const
const std::string & | well_name (std::size_t well_index) const
std::vector< std::string > | wells () const
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const WellContainer< T > &rhs) const

## Static Public Member Functions

static WellContainer | serializationTestObject (const T &data)

The documentation for this class was generated from the following file:

- opm/simulators/wells/WellContainer.hpp